# Contribution Guidelines

Please note that this project is released with a
[Contributor Code of Conduct](code-of-conduct.md). By participating in this
project you agree to abide by its terms.

---

Ensure your pull request adheres to the following guidelines:

* Community-authored repo with 50+ stars
* Community-vouched repo with < 50 stars
* Blogs, guides, videos, and etc. that are community-vouched
* Commercial resources that are community-vouched

We welcome newer projects. 50+ stars for community repos is not a strict requirement, it only serves as a guideline for the initial compilation.  If you can vouch for the awesomeness of a repo with < 50 stars and you can explain why it should be listed, please submit a pull request.

Please make sure the items you are adding are in the correct sections and are in an alphabetical order. Items that are not open-sourced (without a :green_heart:) should fall below open-sourced items in an alphabetical order. 

Please keep in mind that Kubernetes is a fast moving project, and resources can become obsolete quicker than other technologies.  Please make sure the resources you are contributing are still relevant.

Pull requests might be left open for a period of time to let the community chime in and vouch for it. 

Thank you for your contributions!


## Updating your PR

A lot of times, making a PR adhere to the standards above can be difficult.
If the maintainers notice anything that we'd like changed, we'll ask you to
edit your PR before we merge it. There's no need to open a new PR, just edit
the existing one. If you're not sure how to do that,
[here is a guide](https://github.com/RichardLitt/knowledge/blob/master/github/amending-a-commit-guide.md)
on the different ways you can update your PR so that we can merge it.
